
.namespace s04_CloseUp_HotSpot

function OnActivate()
	
	OPLog.Log("onactivate "..self.Name)
	
	if desactivetchs == 0 then	
		for i=1,18  do 
			if self.Name == "tch"..tostring(i) and i~=lsttch then
				lsttch=i
				touches_piano.SetFrame(i)
				PlaySoundEffect("piano"..tostring(i),true)
				if gamestart==true then
					tempsdepart = OPTime.GetTime()
					a1=i
				end
				if s7 > 0 and gamestart==false then
					s7=0
				end
			end
		end
	end
	
end



function OnEnable()
	AreaHotspot.OnEnable()
	
end

function GetSpecificCursor()
	return CURSOR_AREA_HOTSPOT
end

function PrivateCanClickOn()
	
	

	if gamestart==false then 
		return true
	elseif nb3 < nb2 then
		return false
	else
		return true
	end
end

